from parallels.core.utils.entity import Entity


class ProtectedDirectory(Entity):
    def __init__(self, protected_directory_id, domain_id, path, realm):
        self._protected_directory_id = protected_directory_id
        self._domain_id = domain_id
        self._path = path
        self._realm = realm

    @property
    def protected_directory_id(self):
        """
        :rtype: str | unicode
        """
        return self._protected_directory_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def path(self):
        """
        :rtype: str | unicode
        """
        return self._path

    @property
    def realm(self):
        """
        :rtype: str | unicode
        """
        return self._realm
